Loading...
Searching...
No Matches
U_HEADER_ONLY_NAMESPACE::USetCodePointIterator Class Reference

Iterator returned by USetCodePoints. More...

`#include <uset.h>`

## Public Member Functions

| USetCodePointIterator (const USetCodePointIterator &other)=default
bool | operator== (const USetCodePointIterator &other) const
bool | operator!= (const USetCodePointIterator &other) const
UChar32 | operator* () const
USetCodePointIterator & | operator++ ()
| Pre-increment.
USetCodePointIterator | operator++ (int)
| Post-increment.

## Friends

class | USetCodePoints

## Detailed Description

Iterator returned by USetCodePoints.

Stable
  ICU 76

Definition at line 1336 of file uset.h.

## Constructor & Destructor Documentation

## USetCodePointIterator()

U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::USetCodePointIterator | ( | const USetCodePointIterator & | other | ) |

default

Stable
  ICU 76

References USetCodePointIterator().

Referenced by operator!=(), operator++(), operator++(), operator==(), and USetCodePointIterator().

## Member Function Documentation

## operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator!= | ( | const USetCodePointIterator & | other | ) | const

inline

Stable
  ICU 76

Definition at line 1352 of file uset.h.

References operator==(), and USetCodePointIterator().

## operator*()

UChar32 U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator* | ( |  | ) | const

inline

Stable
  ICU 76

Definition at line 1355 of file uset.h.

## operator++() [1/2]

USetCodePointIterator & U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator++ | ( |  | ) |

inline

Pre-increment.

Stable
  ICU 76

Definition at line 1361 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, uset_getItem(), and USetCodePointIterator().

Referenced by operator++().

## operator++() [2/2]

USetCodePointIterator U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator++ | ( | int |  | ) |

inline

Post-increment.

Stable
  ICU 76

Definition at line 1382 of file uset.h.

References operator++(), and USetCodePointIterator().

## operator==()

bool U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator== | ( | const USetCodePointIterator & | other | ) | const

inline

Stable
  ICU 76

Definition at line 1342 of file uset.h.

References USetCodePointIterator().

Referenced by operator!=().

## Friends And Related Symbol Documentation

## USetCodePoints

friend class USetCodePoints

friend

Definition at line 1389 of file uset.h.

The documentation for this class was generated from the following file:

- common/unicode/uset.h